### Hierarchy

- unknown
  - PaxumAccountPayload

## Index

### Constructors

- constructor

### Methods

- getEmail
- serializeBinary
- setEmail
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaxumAccountPayload(): PaxumAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns PaxumAccountPayload

## Methods

### getEmail

- getEmail(): string

- - Defined in src/protobuf/pb_pb.d.ts:5591

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5594

  #### Returns Uint8Array

### setEmail

- setEmail(value: string): PaxumAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5592

  #### Parameters

  - ##### value: string

  #### Returns PaxumAccountPayload

### toObject

- toObject(includeInstance?: boolean): PaxumAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5595

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaxumAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaxumAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5598

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaxumAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaxumAccountPayload, reader: BinaryReader): PaxumAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5599

  #### Parameters

  - ##### message: PaxumAccountPayload

  - ##### reader: BinaryReader

  #### Returns PaxumAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaxumAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5597

  #### Parameters

  - ##### message: PaxumAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaxumAccountPayload ): PaxumAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5596

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaxumAccountPayload

  #### Returns PaxumAccountPayload . AsObject

Generated using TypeDoc